// Demo.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Demo.h"
#include "DemoDlg.h"
#include "AlternativeOptionsDlg.h"
#include "TraditionalOptionsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDemoApp

BEGIN_MESSAGE_MAP(CDemoApp, CWinApp)
	//{{AFX_MSG_MAP(CDemoApp)
	ON_COMMAND(ID_FILE_EXIT, OnFileExit)
	ON_COMMAND(ID_OPTIONS_ALTERNATIVE, OnOptionsAlternative)
	ON_COMMAND(ID_OPTIONS_TRADITIONAL, OnOptionsTraditional)
	//}}AFX_MSG_MAP
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoApp construction

CDemoApp::CDemoApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CDemoApp object

CDemoApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CDemoApp initialization

BOOL CDemoApp::InitInstance()
{
	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CDemoDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

void CDemoApp::OnFileExit() 
{
	CDemoDlg	*pDemoDlg = static_cast<CDemoDlg *>(AfxGetMainWnd());

	pDemoDlg->EndDialog(IDOK);
}

void CDemoApp::OnOptionsAlternative() 
{
	CAlternativeOptionsDlg	dlg(AfxGetMainWnd());

	// static_cast<COptions &>(dlg) = m_options;
	GetOptions(dlg);

	if (dlg.DoModal() == IDOK)
	{
		// m_options = dlg;
		SetOptions(dlg);
	}
}

void CDemoApp::OnOptionsTraditional() 
{
	CTraditionalOptionsDlg	dlg(AfxGetMainWnd());
	
	dlg.m_nRadio = m_options.m_nRadio;
	dlg.m_fCheck = m_options.m_fCheck;
	dlg.m_strCombo = m_options.m_strCombo;
	dlg.m_strEdit = m_options.m_strEdit;
	dlg.m_strStatic = m_options.m_strStatic;

	if (dlg.DoModal() == IDOK)
	{
		m_options.m_nRadio = dlg.m_nRadio;
		m_options.m_fCheck = dlg.m_fCheck;
		m_options.m_strCombo = dlg.m_strCombo;
		m_options.m_strEdit = dlg.m_strEdit;
		m_options.m_strStatic = dlg.m_strStatic;
	}
}

